gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: make (source'd) s


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: make (source'd) script resilient to "set -e"
Date: Thu, 23 May 2019 16:23:58 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 99ca39b  make (source'd) script resilient to "set -e"
99ca39b is described below

commit 99ca39b38bf7cc12e637ea5017ff484aca5e5120
Author: Marcello Stanisci <address@hidden>
AuthorDate: Thu May 23 16:23:20 2019 +0200

    make (source'd) script resilient to "set -e"
---
 taler-build/cat_failed.sh | 33 +++++++++++++++------------------
 1 file changed, 15 insertions(+), 18 deletions(-)

diff --git a/taler-build/cat_failed.sh b/taler-build/cat_failed.sh
index 2b09d3a..6ea2ffb 100755
--- a/taler-build/cat_failed.sh
+++ b/taler-build/cat_failed.sh
@@ -2,24 +2,21 @@
 
 cat_failed ()
 {
- if ! test -d "$1"; then
-   echo ERROR dumping the failing test logs.
-   echo
-   echo Give valid directory to start crawling.
-   echo Example ./cat_failed.sh dir/
-   echo
-   return 1
- fi
+  if ! test -d "$1"; then
+    echo ERROR dumping the failing test logs.
+    echo
+    echo Give valid directory to start crawling.
+    echo Example ./cat_failed.sh dir/
+    echo
+    return 1
+  fi
  
- for trs in $(find "$1" -name *.trs) ; do
-   
-   head -q -n1 < $trs | grep -q FAIL
- 
-   if test $? = 0; then
-     filename_log=$(echo ${trs}|sed -e 's/trs$/log/')
-     cat ${filename_log}
-   fi
- 
- done
+  for trs in $(find "${1}" -name "*.trs") ; do
+    if head -q -n1 < ${trs} | grep -q FAIL; then
+      filename_log=$(echo ${trs}|sed -e 's/trs$/log/')
+      cat ${filename_log}
+    fi
+  done
+
  return 0
 }

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]